import { CoreEntity } from "src/core/core.entity";
import { Entity, Column } from "typeorm";

@Entity('style_component_cms')
export class StyleComponentCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    sectionTwoTitleFontColor: string;

    @Column({ default: null, nullable: true })
    sectionThreeTitleFontColor: string;

    @Column({ default: null, nullable: true })
    sectionThreeSubTitleFontColor: string;

    @Column({ default: null, nullable: true })
    sectionFourTitleFontColor: string;

    @Column({ default: null, nullable: true })
    sectionFourSubTitleFontColor: string;

    @Column({ default: null, nullable: true })
    pageBackgroundColor: string;

    @Column({ default: null, nullable: true })
    sectionTwoBackgroundColor: string;

    @Column({ default: null, nullable: true })
    sectionFiveTitleFontColor: string;
}
