import { IsEmpty } from "class-validator";

export class CreateProductDumpImportDto {
    
    @IsEmpty()
    DumpID: string;

    @IsEmpty()
    Name: string;

    @IsEmpty()
    Sku: string;

    @IsEmpty()
    Price: string;

    @IsEmpty()
    Stock: string;

    @IsEmpty()
    QuantityReorder: number;

    @IsEmpty()
    Weight: string;

    @IsEmpty()
    Size: string;

    @IsEmpty()
    Color: string;

    @IsEmpty()
    Tag: string;

    @IsEmpty()
    Material: string;

    @IsEmpty()
    Highlight: string;

    @IsEmpty()
    ParentCategory: string;

    @IsEmpty()
    SubCategory: string;

    @IsEmpty()
    ChildCategory: string;

    @IsEmpty()
    Status: string;

}
    