import { CoreEntity } from "src/core/core.entity";
import { Column, Entity, OneToMany } from "typeorm";
import { Product } from "../../product/entity/product.entity";

@Entity('product_parent_category')
export class ProductParentCategory extends CoreEntity {
    @Column()
    name: string;

    @Column({ default: null, nullable: true })
    image: string;

    @OneToMany(() => Product, product => product.parentCategoryId)
    products: Product[];
}
