import {IsEmpty, IsNotEmpty} from 'class-validator';

export class UpdateUserDto  {
    @IsNotEmpty()
    fullName: string;

    @IsNotEmpty()
    displayName: string;

    @IsEmpty()
    phone: string;

    @IsEmpty()
    image: string;

    @IsEmpty()
    streetAddress: string;

    @IsEmpty()
    city: string;

    @IsEmpty()
    postCode: string;
}
