import { CoreEntity } from "src/core/core.entity";
import { Entity, Column } from "typeorm";

@Entity('home_page_section_seven_cms')
export class HomePageSectionSevenCms extends CoreEntity {
    @Column({ default: "https://golden-gal.nyc3.cdn.digitaloceanspaces.com/default_cms.png", nullable: true })
    backgroundImage: string;

    @Column({ default: "https://golden-gal.nyc3.cdn.digitaloceanspaces.com/default_cms.png", nullable: true })
    productImage: string;

    @Column({ default: null, nullable: true })
    productName: string;
    @Column({ default: null, nullable: true })
    productLink: string;


    @Column({ type: 'float', default: 0, nullable: true })
    productPrice: number;


    //two

    @Column({ default: "https://golden-gal.nyc3.cdn.digitaloceanspaces.com/default_cms.png", nullable: true })
    productTwoImage: string;

    @Column({ default: null, nullable: true })
    productTwoName: string;

    @Column({ type: 'float', default: 0, nullable: true })
    productTwoPrice: number;
    @Column({ default: null, nullable: true })
    productTwoLink: string;
    
    //three

    @Column({ default: "https://golden-gal.nyc3.cdn.digitaloceanspaces.com/default_cms.png", nullable: true })
    productThreeImage: string;

    @Column({ default: null, nullable: true })
    productThreeName: string;

    @Column({ type: 'float', default: 0, nullable: true })
    productThreePrice: number;

    @Column({ default: null, nullable: true })
    productThreeLink: string;

    

    
}
