import { CoreEntity } from "src/core/core.entity";
import { Entity, Column } from "typeorm";

@Entity('shop_guide_cms')
export class ShopGuideCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    image: string;

    @Column({ type: 'longtext', default: null, nullable: true })
    description: string;

    @Column({ default: null, nullable: true })
    buttonText: string;

    @Column({ default: null, nullable: true })
    buttonLink: string;
}
