import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { EmailNotifierRepository } from './email-notifier-repository';
import { EmailNotifierController } from './email-notifier.controller';
import { EmailNotifierService } from './email-notifier.service';
import { EmailNotifiyee } from './entity/email-notifier.entity';

@Module({
  imports: [
    TypeOrmModule.forFeature([EmailNotifierRepository]),
    TypeOrmModule.forFeature([EmailNotifiyee]),
  ],
  controllers: [EmailNotifierController],
  providers: [EmailNotifierService]
})
export class EmailNotifierModule { }
