import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity('glossary')
export class Glossary extends CoreEntity {
    @Column()
    title: string;

    @Column({ type: 'longtext', default: null, nullable: true })
    description: string;

    @Column({ default: null, nullable: true })
    category: string;
}
