import { PartialType } from '@nestjs/swagger';
import { IsNotEmpty } from 'class-validator';
import { CreateOrderDto } from './create-order.dto';

export class UpdateOrderDto extends PartialType(CreateOrderDto) {
    @IsNotEmpty()
    paymentStatus: string;

    @IsNotEmpty()
    deliveryStatus: string;
}
