import { CoreEntity } from "src/core/core.entity";
import { Entity, Column } from "typeorm";

@Entity('style_page_section_three_cms')
export class StylePageSectionThreeCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    title: string;

    @Column({ default: null, nullable: true })
    subTitle: string;

    @Column({ default: 'https://golden-gal.nyc3.cdn.digitaloceanspaces.com/default_cms.png', nullable: true })
    image: string;

    @Column({ default: 'https://golden-gal.nyc3.cdn.digitaloceanspaces.com/default_cms.png', nullable: true })
    imageTwo: string;

    @Column({ type: 'longtext', default: null, nullable: true })
    description: string;

    @Column({ default: null, nullable: true })
    buttonText: string;

    @Column({ default: null, nullable: true })
    buttonLink: string;
}
