import { IsDecimal, IsEmpty, IsNotEmpty } from "class-validator";

export class CreateGiftCardDto {
    @IsNotEmpty()
    name: string;

    @IsNotEmpty()
    description: string;

    @IsNotEmpty()
    image: string;

    @IsNotEmpty()
    price: string;

    @IsEmpty()
    @IsDecimal()
    cost: number;

    @IsNotEmpty()
    warranty: string;
}
