import { CoreEntity } from "src/core/core.entity";
import { Column, Entity, OneToMany } from "typeorm";
import { Product } from "../../product/entity/product.entity";

@Entity('product_sub_category')
export class ProductSubCategory extends CoreEntity {
    @Column()
    name: string;

    @Column()
    parentCategoryId: string;

    @Column()
    parentCategoryName: string;

    @OneToMany(() => Product, product => product.subCategoryId)
    products: Product[];
}
