import { IsEmpty, IsNotEmpty } from 'class-validator';

export class RegisterAuthDto {
    @IsNotEmpty()
    fullName: string;

    @IsNotEmpty()
    displayName: string;

    @IsNotEmpty()
    email: string;

    @IsNotEmpty()
    password: string;

    @IsEmpty()
    phone: string;

    @IsEmpty()
    streetAddress: string;

    @IsEmpty()
    city: string;

    @IsEmpty()
    postCode: string;

    @IsEmpty()
    country: string;
}
