import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity('payment_log')
export class PaymentGateway extends CoreEntity {
    @Column()
    customerId: string;

    @Column()
    customerName: string;

    @Column()
    invoiceID: string;

    @Column({ default: null })
    paymentAmount: string;

    @Column({ default: null })
    paymentDate: Date;

    @Column({ default: null })
    paymentTransID: string;

    @Column({ default: null })
    refundTransID: string;

    @Column({ default: false })
    isRefunded: boolean;

    @Column({ default: null })
    paymentPayload: string;

    @Column({ default: null })
    refundPayload: string;

    @Column({ default: null })
    transStatus: string;
}
