import { IsEmpty, IsNotEmpty } from "class-validator";

export class CreateUserDto {
    @IsNotEmpty()
    fullName: string;

    @IsEmpty()
    displayName: string;

    @IsNotEmpty()
    email: string;

    @IsNotEmpty()
    password: string;

    @IsEmpty()
    phone: string;

    @IsEmpty()
    image: string;

    @IsNotEmpty()
    role: number;

    @IsEmpty()
    streetAddress: string;

    @IsEmpty()
    city: string;

    @IsEmpty()
    postCode: string;

    @IsEmpty()
    country: string;

    @IsNotEmpty()
    userType: string;
}
